RDMnet::LLRP::Target Class Referenceabstract

5.1.2 LLRP Target LLRP Targets receive and act on LLRP discovery and configuration commands. More...

`#include <target.h>`

Inheritance diagram for RDMnet::LLRP::Target:
[legend]

## Public Member Functions

| Target ()
| Target::Target.
virtual void | LLRPsetup ()=0
| listens on LLRP_PORT
void | receiveLLRP (ACN::PDU::Message< LLRP::Pdu > frame)
| Target::receiveLLRP. More...
virtual void | receiveProbeRequest (ACN::PDU::Message< LLRP::ProbeRequest::Pdu > pdu)
| Target::receiveProbeRequest. More...
virtual void | sendProbeReply ()
| Target::sendProbeReply.
virtual void | receiveRdmCommand (ACN::PDU::Message< RPT::COMMAND::Pdu > pdu)
| Target::receiveRdmCommand. More...

## Detailed Description

5.1.2 LLRP Target LLRP Targets receive and act on LLRP discovery and configuration commands.

LLRP Targets enable remote administration of network configuration. All Brokers, Controllers, and Devices also operate as LLRP Targets.

## Member Function Documentation

## receiveLLRP()

void RDMnet::LLRP::Target::receiveLLRP | ( | ACN::PDU::Message< LLRP::Pdu > | frame | ) |

Target::receiveLLRP.

Parameters

  frame |

Here is the call graph for this function:

## receiveProbeRequest()

void RDMnet::LLRP::Target::receiveProbeRequest | ( | ACN::PDU::Message< LLRP::ProbeRequest::Pdu > | pdu | ) |

virtual

Target::receiveProbeRequest.

Parameters

  pdu |

Here is the caller graph for this function:

## receiveRdmCommand()

void RDMnet::LLRP::Target::receiveRdmCommand | ( | ACN::PDU::Message< RPT::COMMAND::Pdu > | pdu | ) |

virtual

Target::receiveRdmCommand.

Parameters

  pdu |

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/target.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/llrp/target.cpp